package com.xmomen.module.base.model;

import java.io.Serializable;
import java.util.List;


public class ItemCategoryModel implements Serializable {

    // 类别ID
    private Integer id;
    // 类别名称
    private String name;
    // 父类别ID
    private Integer parentId;
    // 父类别名称
    private String parentName;
    // 子类别列表
    private List<ItemCategoryModel> nodes;

    // 获取类别ID
    public Integer getId() {
        return id;
    }

    // 设置类别ID
    public void setId(Integer id) {
        this.id = id;
    }

    // 获取类别名称
    public String getName() {
        return name;
    }

    // 设置类别名称
    public void setName(String name) {
        this.name = name;
    }
    // 获取父类别ID
    public Integer getParentId() {
        return parentId;
    }

    // 设置父类别ID
    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    // 获取父类别名称
    public String getParentName() {
        return parentName;
    }

    // 设置父类别名称
    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    // 获取子类别列表
    public List<ItemCategoryModel> getNodes() {
        return nodes;
    }

    // 设置子类别列表
    public void setNodes(List<ItemCategoryModel> nodes) {
        this.nodes = nodes;
    }
}
